<template>
    <div class="comment-block">
        <a v-if="!anonym" class="btn btn-primary" href="#" @click.prevent="toggle()">
            Write a comment
        </a>

        <div v-if="showForm" class="comment-form">
            <h2 class="pt-3">Submit your comment</h2>

            <form class="review-form-area" role="form" v-on:submit.prevent="submitComment">
                <div class="form-group">
                    <textarea v-model="text" class="form-control" name="addComment" rows="4"
                              placeholder="Write comment of the post"></textarea>
                </div>
                <div class="form-group">
                    <a class="btn btn-success" href="#" role="button" @click.prevent="submitCommentForm">Send comment</a>
                    <a class="btn btn-light" href="#" role="button" @click.prevent="hideForm">Cancel</a>
                </div>
            </form>
        </div>
    </div>
</template>

<script>
    export default {
        data() {
            return {
                text: null,
                showForm: false,
                anonym: false,
                lastCommentId: 0,
            };
        },
        name: 'comment-form',
        computed: {
            countComments() {
                return this.$store.getters.getCountComments;
            },
            currentUser() {
                return this.$store.getters.currentUser;
            },
            currentPostId() {
                return this.$store.getters.currentPostId;
            }
        },
        methods: {
            submitCommentForm() {
                if (this.text !== null && this.text !== ' ') {
                    //Add Comment to Post
                    this.$store.dispatch('addComment', {
                        text: this.text,
                        parent_id: 0,
                    });
                }
                this.text = null;
                this.showForm = false;
            },
            hideForm() {
                this.showForm = false;
            },
            toggle: function () {
                this.showForm = !this.showForm;
            },
        },
        mounted() {
            this.anonym = !this.currentUser;
        }
    }
</script>
